Skip site navigation (1) Skip section navigation (2)

Re: pgadmin 1.10.2 crashes on start

From: Guillaume Lelarge <guillaume(at)lelarge(dot)info>
To: Erwin Brandstetter <brandstetter(at)falter(dot)at>
Cc: pgadmin-hackers(at)postgresql(dot)org
Subject: Re: pgadmin 1.10.2 crashes on start
Date: 2010-04-19 21:46:45
Message-ID: 4BCCCF45.8050306@lelarge.info (view raw or flat)
Thread:
Lists: pgadmin-hackers
Le 19/04/2010 19:24, Erwin Brandstetter a écrit :
> On 17.04.2010 08:02, guillaume(at)lelarge(dot)info wrote:
>> Le 17/04/2010 01:02, Erwin Brandstetter a écrit :
>>   
>>> On 17.04.2010 00:16, guillaume(at)lelarge(dot)info wrote:
>>>     
>>>> Le 09/04/2010 16:33, Guillaume Lelarge a écrit :
>>>>
>>>>       
>>>>> (...)
>>>>>          
>>>> Sorry for making you wait so long. Here is the pgAdmin binary. It's
>>>> compiled from the 1.10 branch, so a 1.10.2 + 15 bug fixes.
>>>>
>>>> Tell me if you still have trouble with it
>>>>        
>>> I unpacked the file "pgadmin3.exe" you sent me:  Version 1.10.2 (Apr 17
>>> 2010,rev: )
>>> After replacing pgadmin3.exe in version 1.10.1 I can start pgAdmin
>>> successfully. No problems in cursory tests.
>>>
>>> However, if I upgrade to 1.10.2 first (with upgrade.bat) and then try to
>>> replace pgadmin3.exe with your version, the program still won't start.
>>>  From that I conclude that the problem must lie with one of the other
>>> files that get upgraded.
>>> If you need me to check anything else, I'll look into it.
>>>
>>>      
>> Didn't think of it earlier, but did you try to uninstall pgAdmin and
>> re-install it? (ie, not use the upgrade.bat)
>>    
> 
> OK, tried that. Uninstalled pgAdmin v.1.10.1 and installed pgAdmin
> v.1.10.2 by executing "pgadmin3.msi". Program still crashes at start.
> Tried replacing "pgadmin3.exe" with your newly compiled version: no
> change, crash at start.
> Uninstalled 1.10.2 and reinstalled 1.10.1: works again.
> 

I really don't understand. From your pgadmin3.log, it's quite obvious
that the program crash before startup. I'm sorry, I'm at lost here. Do
you have the depends.exe binary? if yes, can you try to see what it
tells you when you open pgAdmin 1.10.1 and 1.10.2? are there any
differences? (if you dont have this program, you can try to download it
here: http://www.dependencywalker.com/)

> Would you expect problems if I use your latest version of pgadmin3.exe
> within v.1.10.1 environment (to test the recent bug fixes)?

No, I don't expect problems. Of course, I can't guaranty you there is no
issue. But, if there are issues, I would like to know them :)

> In that case
> I would restrict my tests to my home PC (with Win XP Pro and a working
> pgAdmin v.1.10.2)
> 

Sure, that should work.


-- 
Guillaume.
 http://www.postgresqlfr.org
 http://dalibo.com

In response to

Responses

pgadmin-hackers by date

Next:From: Guillaume LelargeDate: 2010-04-19 21:55:08
Subject: Re: SET search_path = value
Previous:From: Erwin BrandstetterDate: 2010-04-19 17:24:45
Subject: Re: pgadmin 1.10.2 crashes on start

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group